install pyspider

Requirement already satisfied (use –upgrade to upgrade): Flask>=0.10 in /usr/local/lib/python2.7/site-packages (from pyspider)
Requirement already satisfied (use –upgrade to upgrade): Jinja2>=2.7 in /usr/local/lib/python2.7/site-packages (from pyspider)
Requirement already satisfied (use –upgrade to upgrade): chardet>=2.2 in /usr/local/lib/python2.7/site-packages (from pyspider)
Requirement already satisfied (use –upgrade to upgrade): cssselect>=0.9 in /usr/local/lib/python2.7/site-packages (from pyspider)
Collecting lxml (from pyspider)
Downloading lxml-3.4.4.tar.gz (3.5MB)
100% |████████████████████████████████| 3.5MB 71kB/s
Requirement already satisfied (use –upgrade to upgrade): pycurl in /usr/local/lib/python2.7/site-packages (from pyspider)
Collecting pyquery (from pyspider)
Downloading pyquery-1.2.9.zip (45kB)
100% |████████████████████████████████| 49kB 2.9MB/s
Collecting requests>=2.2 (from pyspider)
Downloading requests-2.8.1-py2.py3-none-any.whl (497kB)
100% |████████████████████████████████| 499kB 456kB/s
Collecting tornado>=3.2 (from pyspider)
Downloading tornado-4.2.1.tar.gz (434kB)
100% |████████████████████████████████| 438kB 529kB/s
Collecting Flask-Login>=0.2.11 (from pyspider)
Downloading Flask-Login-0.3.2.tar.gz
Collecting u-msgpack-python>=1.6 (from pyspider)
Downloading u-msgpack-python-2.1.tar.gz
Collecting click>=3.3 (from pyspider)
Downloading click-5.1-py2.py3-none-any.whl (65kB)
100% |████████████████████████████████| 65kB 2.8MB/s
Collecting six (from pyspider)
Downloading six-1.10.0-py2.py3-none-any.whl
Requirement already satisfied (use –upgrade to upgrade): Werkzeug>=0.7 in /usr/local/lib/python2.7/site-packages (from Flask>=0.10->pyspider)
Requirement already satisfied (use –upgrade to upgrade): itsdangerous>=0.21 in /usr/local/lib/python2.7/site-packages (from Flask>=0.10->pyspider)
Requirement already satisfied (use –upgrade to upgrade): MarkupSafe in /usr/local/lib/python2.7/site-packages (from Jinja2>=2.7->pyspider)
Collecting backports.ssl-match-hostname (from tornado>=3.2->pyspider)
Downloading backports.ssl_match_hostname-3.4.0.2.tar.gz
Collecting certifi (from tornado>=3.2->pyspider)
Downloading certifi-2015.9.6.2-py2.py3-none-any.whl (371kB)
100% |████████████████████████████████| 372kB 598kB/s
Installing collected packages: lxml, pyquery, requests, backports.ssl-match-hostname, certifi, tornado, Flask-Login, u-msgpack-python, click, six, pyspider
Running setup.py install for lxml
Running setup.py install for pyquery
Running setup.py install for backports.ssl-match-hostname
Running setup.py install for tornado
Running setup.py install for Flask-Login
Running setup.py install for u-msgpack-python
Running setup.py install for pyspider
Successfully installed Flask-Login-0.3.2 backports.ssl-match-hostname-3.4.0.2 certifi-2015.9.6.2 click-5.1 lxml-3.4.4 pyquery-1.2.9 pyspider-0.3.5 requests-2.8.1 six-1.10.0 tornado-4.2.1 u-msgpack-python-2.1

阅读更多

没有更多推荐了,返回首页